### Struct

# Qmi MessageWmsSendAckInput

since: 1.28

#### Description [src]

    struct QmiMessageWmsSendAckInput {
      /* No available fields */
    }

The `QmiMessageWmsSendAckInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.28

#### Constructors

###### qmi_message_wms_send_ack_input_new

Allocates a new `QmiMessageWmsSendAckInput`.

since: 1.28

#### Instance methods

###### qmi_message_wms_send_ack_input_get_3gpp2_failure_information

Get the ‘3GPP2 Failure Information’ field from `self`.

since: 1.28

###### qmi_message_wms_send_ack_input_get_3gpp_failure_information

Get the ‘3GPP Failure Information’ field from `self`.

since: 1.28

###### qmi_message_wms_send_ack_input_get_information

Get the ‘Information’ field from `self`.

since: 1.28

###### qmi_message_wms_send_ack_input_get_sms_on_ims

Get the ‘SMS on IMS’ field from `self`.

since: 1.28

###### qmi_message_wms_send_ack_input_ref

Atomically increments the reference count of `self` by one.

since: 1.28

###### qmi_message_wms_send_ack_input_set_3gpp2_failure_information

Set the ‘3GPP2 Failure Information’ field in the message.

since: 1.28

###### qmi_message_wms_send_ack_input_set_3gpp_failure_information

Set the ‘3GPP Failure Information’ field in the message.

since: 1.28

###### qmi_message_wms_send_ack_input_set_information

Set the ‘Information’ field in the message.

since: 1.28

###### qmi_message_wms_send_ack_input_set_sms_on_ims

Set the ‘SMS on IMS’ field in the message.

since: 1.28

###### qmi_message_wms_send_ack_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.28